java.rmi.server

## Class SocketSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.server.ExportException
          - - java.rmi.server.SocketSecurityException

- All Implemented Interfaces:
    Serializable

      public class SocketSecurityException
      extends ExportException

  An obsolete subclass of `ExportException`.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketSecurityException(String s)` Constructs an `SocketSecurityException` with the specified detail message.
    `SocketSecurityException(String s, Exception ex)` Constructs an `SocketSecurityException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketSecurityException

          public SocketSecurityException(String s)

      Constructs an `SocketSecurityException` with the specified detail message.
      Parameters:
        `s` - the detail message.
      Since:
        JDK1.1

    - #### SocketSecurityException

          public SocketSecurityException(String s,
                                 Exception ex)

      Constructs an `SocketSecurityException` with the specified detail message and nested exception.
      Parameters:
        `s` - the detail message.
        `ex` - the nested exception
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.